export declare const IContext: unique symbol;
/**
 * Authorization
 * it is a symbol id, you can register yourself middleware for this.
 */
export declare const IAuthorization: unique symbol;
/**
 * Configuration
 * it is a symbol id, you can register yourself middleware for this.
 */
export declare const IConfiguration: unique symbol;
/**
 * context middlwware is provider for context of request.
 * it is a symbol id, you can register yourself middleware for this.
 */
export declare const ContextMiddleware: unique symbol;
/**
 * content middlwware is static files server.
 * it is a symbol id, you can register yourself middleware for this.
 */
export declare const ContentMiddleware: unique symbol;
/**
 * Session middlwware is deal wtih session connect.
 * it is a symbol id, you can register yourself middleware for this.
 */
export declare const SessionMiddleware: unique symbol;
/**
 * log middlwware is deal with log for requests.
 * it is a symbol id, you can register yourself middleware for this.
 */
export declare const LogMiddleware: unique symbol;
/**
 * route middlwware is deal with route for requests.
 * it is a symbol id, you can register yourself middleware for this.
 */
export declare const RouterMiddleware: unique symbol;
/**
 * Cors middlwware is deal with route cors for requests.
 * it is a symbol id, you can register yourself middleware for this.
 */
export declare const CorsMiddleware: unique symbol;
/**
 * json middlwware is deal with request body as json for some requests.
 * it is a symbol id, you can register yourself middleware for this.
 */
export declare const JsonMiddleware: unique symbol;
/**
 * Body Parse middlwware is deal with request body for requests.
 * it is a symbol id, you can register yourself middleware for this.
 */
export declare const BodyParserMiddleware: unique symbol;
/**
 * view middlwware is render html for requests.
 * it is a symbol id, you can register yourself middleware for this.
 */
export declare const ViewsMiddleware: unique symbol;
